Name: lzop
Version: 1.04
Release: 1
Summary: Real-time file compressor
Group: Applications/Archiving
License: GPLv2+
URL: http://www.%{name}.org/
Source0: http://www.%{name}.org/download/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: lzo-devel >= 2.10-1
Requires: lzo >= 2.10-1

%description
lzop is a compression utility which is designed to be a companion to gzip. It
is based on the LZO library and its main advantages over gzip are much higher
compression and decompression speed at the cost of compression ratio.

lzop was designed with reliability, speed, portibility and as a reasonable
drop-in compatiblity to gzip.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING NEWS README THANKS ChangeLog
%{_bindir}/*
%{_mandir}/man?/*
/usr/bin/*


%changelog
* Wed Oct 31 2018 Michael Perzl <michael@perzl.org> - 1.04-1
- updated to version 1.04

* Mon Nov 08 2010 Michael Perzl <michael@perzl.org> - 1.03-1
- first version for AIX V5.1 and higher
